GET api/bagapi/bagsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"bag_status_id": "6148db9c-f066-42e8-8a47-fc62db89c2d1",
"cleanroom_type_id": "c45e71c5-1279-4bf2-8d48-430ac2552f6b",
"code": 3,
"date_hu": "2026-03-11T06:57:23.3350509+00:00",
"id": "ef58d6e8-05c6-4532-832c-5849ca510de4",
"site_id": "1f5a4c05-3cf6-46b0-93b4-d921afce4d1d",
"wash_count": 6,
"position": 1,
"pc_id": "ce7cc122-dc18-47b9-a95e-b0389b7060e5"
},
{
"active": true,
"bag_status_id": "6148db9c-f066-42e8-8a47-fc62db89c2d1",
"cleanroom_type_id": "c45e71c5-1279-4bf2-8d48-430ac2552f6b",
"code": 3,
"date_hu": "2026-03-11T06:57:23.3350509+00:00",
"id": "ef58d6e8-05c6-4532-832c-5849ca510de4",
"site_id": "1f5a4c05-3cf6-46b0-93b4-d921afce4d1d",
"wash_count": 6,
"position": 1,
"pc_id": "ce7cc122-dc18-47b9-a95e-b0389b7060e5"
}
]
application/xml, text/xml
Sample:
<ArrayOfbag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<bag>
<active>true</active>
<bag_status_id>6148db9c-f066-42e8-8a47-fc62db89c2d1</bag_status_id>
<cleanroom_type_id>c45e71c5-1279-4bf2-8d48-430ac2552f6b</cleanroom_type_id>
<code>3</code>
<date_hu>2026-03-11T06:57:23.3350509+00:00</date_hu>
<id>ef58d6e8-05c6-4532-832c-5849ca510de4</id>
<pc_id>ce7cc122-dc18-47b9-a95e-b0389b7060e5</pc_id>
<position>1</position>
<site_id>1f5a4c05-3cf6-46b0-93b4-d921afce4d1d</site_id>
<wash_count>6</wash_count>
</bag>
<bag>
<active>true</active>
<bag_status_id>6148db9c-f066-42e8-8a47-fc62db89c2d1</bag_status_id>
<cleanroom_type_id>c45e71c5-1279-4bf2-8d48-430ac2552f6b</cleanroom_type_id>
<code>3</code>
<date_hu>2026-03-11T06:57:23.3350509+00:00</date_hu>
<id>ef58d6e8-05c6-4532-832c-5849ca510de4</id>
<pc_id>ce7cc122-dc18-47b9-a95e-b0389b7060e5</pc_id>
<position>1</position>
<site_id>1f5a4c05-3cf6-46b0-93b4-d921afce4d1d</site_id>
<wash_count>6</wash_count>
</bag>
</ArrayOfbag>